enforcing deployment from `/srv/deployment` is wrong
Closed, ResolvedPublic

Description

Currently, the way scap3 is configured, you cannot deploy from any directory other than a directory that is under /srv/deployment; however, since on deployment-bastion /srv is actually a symlink to /mnt/srv this check fails.

The purpose of this check is to make sure that the git_repo code from the git_server (which is typically tin) is accessible over the network. Since this is enforced in other places throughout the code, this check should be removed.

thcipriani updated the task description. (Show Details)
thcipriani raised the priority of this task from to Needs Triage.
thcipriani added subscribers: Aklapper, mobrovac, demon and 3 others.

See also: serve deployment files directly from the scap process, rather than a separate http server.

mmodell triaged this task as Normal priority.Nov 6 2015, 11:12 AM
mmodell claimed this task.
mmodell reassigned this task from mmodell to thcipriani.Nov 16 2015, 6:20 PM
hashar added a subscriber: hashar.Nov 20 2015, 10:26 PM

The beta deployment-bastion uses /mnt for legacy reasons and the symlink was a hack to match prod. Nowadays its recommended to use /srv/ on labs. Maybe we can fill another task to rename the mount ?

I think D58 is going in the right direction - scap3 shouldn't make assumptions about the deployment host's dir layout; it should only matter to it that it is in a git repo dir and that the scap/ dir with the appropriate files is there.

thcipriani closed this task as Resolved.Dec 11 2015, 6:44 PM